Skip to content

getEmployeeCompanies

READ

The companies a user can enter in the ERP.

POST /api/v1/settings/getEmployeeCompanies
curl -X POST '<your-host>/api/v1/settings/getEmployeeCompanies' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json'
Response
{
  "results": [
    {
      "companyGroupName": "string",
      "logoLight": "string",
      "logoDark": "string",
      "logoLightIcon": "string",
      "logoDarkIcon": "string",
      "logoWatermark": "string",
      "active": true,
      "addressLine1": "string",
      "addressLine2": "string",
      "auditLogEnabled": true,
      "baseCurrencyCode": "string",
      "city": "string",
      "companyGroupId": "string",
      "companyId": "string",
      "countryCode": "string",
      "createdAt": "string",
      "customIndustryDescription": "string",
      "email": "string",
      "employeeType": "string",
      "eori": "string",
      "fax": "string",
      "featureRequests": "string",
      "id": "string",
      "industryId": "string",
      "isEliminationEntity": true,
      "name": "string",
      "ownerId": "string",
      "parentCompanyId": "string",
      "phone": "string",
      "postalCode": "string",
      "registrationNumber": "string",
      "role": "supplier",
      "selectedModules": [
        "string"
      ],
      "stateProvince": "string",
      "suggestionNotificationGroup": [
        "string"
      ],
      "taxId": "string",
      "timezone": "string",
      "updatedBy": "string",
      "userId": "string",
      "vatNumber": "string",
      "website": "string"
    }
  ],
  "count": null
}

Parameters

This operation takes no arguments.

Input schema

schema
{
  "type": "object",
  "properties": {}
}